#!/bin/sh

set -e
[ "$TRACE" ] && set -x

echo "update release branch"
if [ -z "$(git status --porcelain)" ]; then
  revision=$(git rev-parse HEAD)
  rm -rf build
  webpack
  mkdir .release
  cp -r bin build autoload package.json plugin data Readme.md doc history.md .release
  git checkout release
  cp -r .release/* .
  nvim -c 'helptags doc|q'
  git add .
  git commit -a -C $revision
  git push origin release
  git checkout master
  rm -rf .release
  nvim -c 'helptags doc|q'
else
  echo "Uncommitted changed, aborted"
fi
